wx-ssh-sign(){
    echo -n "$wxItalic"
    echo "           >> SSH <<          "
    echo "             Sign             "
    echo -n "$wxNormal"
    echo "------------------------------"

    NAME=warengroup
    ROLE=sysadmin
    PRINCIPALS=sysadmin
    TTL=3600

    if [[ -f "$HOME/.ssh/keys/$NAME-ed25519" ]]
    then
        echo "$NAME/$ROLE"
        echo $(curl https://$VAULT_DOMAIN/v1/ssh/sign/$ROLE -X POST --header "X-Vault-Token: ${config[$ORG]}" -d "{ \"public_key\": \"$(cat $HOME/.ssh/keys/$NAME-ed25519.pub)\", \"valid_principals\": \"$PRINCIPALS,$USER\", \"ttl\": \"$TTL\" }" -s | jq -r '.data.signed_key') > ~/.ssh/keys/$NAME-ed25519.sig 2>&1
    fi

    NAME=cwinfo
    ROLE=sysadmin
    PRINCIPALS=sysadmin
    TTL=3600

    if [[ -f "$HOME/.ssh/keys/$NAME-ed25519" ]]
    then
        echo "$NAME/$ROLE"
        echo $(curl https://$VAULT_DOMAIN/v1/ssh/sign/$ROLE -X POST --header "X-Vault-Token: ${config[$ORG]}" -d "{ \"public_key\": \"$(cat $HOME/.ssh/keys/$NAME-ed25519.pub)\", \"valid_principals\": \"$PRINCIPALS,$USER\", \"ttl\": \"$TTL\" }" -s | jq -r '.data.signed_key') > ~/.ssh/keys/$NAME-ed25519.sig 2>&1
    fi

    NAME=cwchristerw
    ROLE=sysadmin
    PRINCIPALS=sysadmin
    TTL=3600

    if [[ -f "$HOME/.ssh/keys/$NAME-ed25519" ]]
    then
        echo "$NAME/$ROLE"
        echo $(curl https://$VAULT_DOMAIN/v1/ssh/sign/$ROLE -X POST --header "X-Vault-Token: ${config[$ORG]}" -d "{ \"public_key\": \"$(cat $HOME/.ssh/keys/$NAME-ed25519.pub)\", \"valid_principals\": \"$PRINCIPALS,$USER\", \"ttl\": \"$TTL\" }" -s | jq -r '.data.signed_key') > ~/.ssh/keys/$NAME-ed25519.sig 2>&1
    fi
}
